Index: tests/Fragmentations/Fragmenting/cycloheptane/testsuite-fragmenting-cycloheptane-order1.at
===================================================================
--- tests/Fragmentations/Fragmenting/cycloheptane/testsuite-fragmenting-cycloheptane-order1.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
+++ tests/Fragmentations/Fragmenting/cycloheptane/testsuite-fragmenting-cycloheptane-order1.at	(revision 3a9091f060344cff8516d05b05d191d5b46b5131)
@@ -15,6 +15,7 @@
 
 AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 1 --distance $DISTANCE], 0, [stdout], [stderr])
-AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
-AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+AT_CHECK([ls ${FILENAME}*.conf | wc -l | grep $FragNo], 0, [ignore], [ignore])
+AT_CHECK([ls ${FILENAME}*.xyz | wc -l | grep $FragNo], 0, [ignore], [ignore])
+AT_CHECK([ls ${FILENAME}*.in | wc -l | grep $FragNo], 0, [ignore], [ignore])
 
 AT_CLEANUP
Index: tests/Fragmentations/Fragmenting/cycloheptane/testsuite-fragmenting-cycloheptane-order2.at
===================================================================
--- tests/Fragmentations/Fragmenting/cycloheptane/testsuite-fragmenting-cycloheptane-order2.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
+++ tests/Fragmentations/Fragmenting/cycloheptane/testsuite-fragmenting-cycloheptane-order2.at	(revision 3a9091f060344cff8516d05b05d191d5b46b5131)
@@ -15,6 +15,7 @@
 
 AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 2 --distance $DISTANCE], 0, [stdout], [stderr])
-AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
-AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+AT_CHECK([ls ${FILENAME}*.conf | wc -l | grep $FragNo], 0, [ignore], [ignore])
+AT_CHECK([ls ${FILENAME}*.xyz | wc -l | grep $FragNo], 0, [ignore], [ignore])
+AT_CHECK([ls ${FILENAME}*.in | wc -l | grep $FragNo], 0, [ignore], [ignore])
 
 AT_CLEANUP
Index: tests/Fragmentations/Fragmenting/cycloheptane/testsuite-fragmenting-cycloheptane-order3.at
===================================================================
--- tests/Fragmentations/Fragmenting/cycloheptane/testsuite-fragmenting-cycloheptane-order3.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
+++ tests/Fragmentations/Fragmenting/cycloheptane/testsuite-fragmenting-cycloheptane-order3.at	(revision 3a9091f060344cff8516d05b05d191d5b46b5131)
@@ -15,6 +15,7 @@
 
 AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 3 --distance $DISTANCE], 0, [stdout], [stderr])
-AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
-AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+AT_CHECK([ls ${FILENAME}*.conf | wc -l | grep $FragNo], 0, [ignore], [ignore])
+AT_CHECK([ls ${FILENAME}*.xyz | wc -l | grep $FragNo], 0, [ignore], [ignore])
+AT_CHECK([ls ${FILENAME}*.in | wc -l | grep $FragNo], 0, [ignore], [ignore])
 
 AT_CLEANUP
Index: tests/Fragmentations/Fragmenting/cycloheptane/testsuite-fragmenting-cycloheptane-order4.at
===================================================================
--- tests/Fragmentations/Fragmenting/cycloheptane/testsuite-fragmenting-cycloheptane-order4.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
+++ tests/Fragmentations/Fragmenting/cycloheptane/testsuite-fragmenting-cycloheptane-order4.at	(revision 3a9091f060344cff8516d05b05d191d5b46b5131)
@@ -15,6 +15,7 @@
 
 AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 4 --distance $DISTANCE], 0, [stdout], [stderr])
-AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
-AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+AT_CHECK([ls ${FILENAME}*.conf | wc -l | grep $FragNo], 0, [ignore], [ignore])
+AT_CHECK([ls ${FILENAME}*.xyz | wc -l | grep $FragNo], 0, [ignore], [ignore])
+AT_CHECK([ls ${FILENAME}*.in | wc -l | grep $FragNo], 0, [ignore], [ignore])
 
 AT_CLEANUP
Index: tests/Fragmentations/Fragmenting/cycloheptane/testsuite-fragmenting-cycloheptane-order5.at
===================================================================
--- tests/Fragmentations/Fragmenting/cycloheptane/testsuite-fragmenting-cycloheptane-order5.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
+++ tests/Fragmentations/Fragmenting/cycloheptane/testsuite-fragmenting-cycloheptane-order5.at	(revision 3a9091f060344cff8516d05b05d191d5b46b5131)
@@ -15,6 +15,7 @@
 
 AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 5 --distance $DISTANCE], 0, [stdout], [stderr])
-AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
-AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+AT_CHECK([ls ${FILENAME}*.conf | wc -l | grep $FragNo], 0, [ignore], [ignore])
+AT_CHECK([ls ${FILENAME}*.xyz | wc -l | grep $FragNo], 0, [ignore], [ignore])
+AT_CHECK([ls ${FILENAME}*.in | wc -l | grep $FragNo], 0, [ignore], [ignore])
 
 AT_CLEANUP
Index: tests/Fragmentations/Fragmenting/cycloheptane/testsuite-fragmenting-cycloheptane-order6.at
===================================================================
--- tests/Fragmentations/Fragmenting/cycloheptane/testsuite-fragmenting-cycloheptane-order6.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
+++ tests/Fragmentations/Fragmenting/cycloheptane/testsuite-fragmenting-cycloheptane-order6.at	(revision 3a9091f060344cff8516d05b05d191d5b46b5131)
@@ -15,6 +15,7 @@
 
 AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 6 --distance $DISTANCE], 0, [stdout], [stderr])
-AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
-AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+AT_CHECK([ls ${FILENAME}*.conf | wc -l | grep $FragNo], 0, [ignore], [ignore])
+AT_CHECK([ls ${FILENAME}*.xyz | wc -l | grep $FragNo], 0, [ignore], [ignore])
+AT_CHECK([ls ${FILENAME}*.in | wc -l | grep $FragNo], 0, [ignore], [ignore])
 
 AT_CLEANUP
